# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# NETPoint Struct Reference

Simple point class for NET classes. More...

`#include <netwm_def.h>`

List of all members.

## Public Member Functions

| NETPoint ()

## Public Attributes

int | x
int | y

## Detailed Description

Simple point class for NET classes.

This class is a convenience class defining a point x, y. The existence of this class is to keep the implementation from being dependant on a separate framework/library.

NETPoint is only used by the NET API. Usually QPoint is the appropriate class for representing a point.

Author:
  Bradley T. Hughes <bhughes@trolltech.com>

Definition at line 44 of file netwm_def.h.

## Constructor & Destructor Documentation

NETPoint::NETPoint | ( |  | ) | `[inline]`

| Constructor to initialize this point to 0,0. Definition at line 48 of file netwm_def.h. References x, and y.

## Member Data Documentation

int NETPoint::x

| x coordinate. Definition at line 54 of file netwm_def.h. Referenced by NETRootInfo::event(), NETPoint(), and NETWinInfo::setIconGeometry().

int NETPoint::y

| y coordinate Definition at line 54 of file netwm_def.h. Referenced by NETRootInfo::event(), NETPoint(), and NETWinInfo::setIconGeometry().

The documentation for this struct was generated from the following file:

- netwm_def.h

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:50 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003